<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hslf.usermodel.HSLFTextParagraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hslf.usermodel.HSLFTextParagraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFTextParagraph.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hslf.usermodel.HSLFTextParagraph" class="title">Uses of Class<br>org.apache.poi.hslf.usermodel.HSLFTextParagraph
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructor parameters in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html#ActiveXShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">ActiveXShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(int&nbsp;movieIdx,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html#Polygon-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">Polygon</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Polygon object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/Polygon.html#Polygon-org.apache.poi.sl.usermodel.ShapeContainer-">Polygon</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Polygon.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextRun.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#getTextParagraph--">getTextParagraph</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#createMasterSheet--">createMasterSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#findTextParagraphs-org.apache.poi.hslf.record.EscherTextboxWrapper-org.apache.poi.hslf.usermodel.HSLFSheet-">findTextParagraphs</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                    title="class in org.apache.poi.hslf.record">EscherTextboxWrapper</a>&nbsp;wrapper,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet)</code>
                                <div class="block">Scans through the supplied record array, looking for
                                    a TextHeaderAtom followed by one of a TextBytesAtom or
                                    a TextCharsAtom.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#findTextParagraphs-org.apache.poi.hslf.record.PPDrawing-org.apache.poi.hslf.usermodel.HSLFSheet-">findTextParagraphs</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/PPDrawing.html"
                                    title="class in org.apache.poi.hslf.record">PPDrawing</a>&nbsp;ppdrawing,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet)</code>
                                <div class="block">For a given PPDrawing, grab all the TextRuns</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#findTextParagraphs-org.apache.poi.hslf.record.Record:A-">findTextParagraphs</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/record/Record.html"
                                    title="class in org.apache.poi.hslf.record">Record</a>[]&nbsp;records)</code>
                                <div class="block">Scans through the supplied record array, looking for
                                    a TextHeaderAtom followed by one of a TextBytesAtom or
                                    a TextCharsAtom.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Shadow.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shadow</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadow--">getShadow</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTitleMaster.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTitleMaster.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                <div class="block">Returns an array of all the TextRuns found</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                <div class="block">Returns an array of all the TextRuns in the sheet.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                <div class="block">Returns an array of all the TextRuns found</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideMaster.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideMaster.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                <div class="block">Returns an array of all the TextRuns found</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFNotes.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>
                                <div class="block">Returns an array of all the TextParagraphs found</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#getTextParagraphs--">getTextParagraphs</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#iterator--">iterator</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFAutoShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html#setDefaultTextProperties-org.apache.poi.hslf.usermodel.HSLFTextParagraph-">setDefaultTextProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&nbsp;_txtrun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextBox.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html#setDefaultTextProperties-org.apache.poi.hslf.usermodel.HSLFTextParagraph-">setDefaultTextProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&nbsp;_txtrun)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#setDefaultTextProperties-org.apache.poi.hslf.usermodel.HSLFTextParagraph-">setDefaultTextProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&nbsp;_txtrun)</code>
                                <div class="block">Set default properties for the TextRun.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#appendText-java.util.List-java.lang.String-boolean-">appendText</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                java.lang.String&nbsp;text,
                                boolean&nbsp;newParagraph)</code>
                                <div class="block">Adds the supplied text onto the end of the TextParagraphs,
                                    creating a new RichTextRun for it to sit in.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#applyCharacterStyles-java.util.List-java.util.List-">applyCharacterStyles</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextPropCollection</a>&gt;&nbsp;charStyles)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#applyHyperlinks-java.util.List-">applyHyperlinks</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#applyParagraphIndents-java.util.List-java.util.List-">applyParagraphIndents</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/IndentProp.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">IndentProp</a>&gt;&nbsp;paraStyles)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#applyParagraphStyles-java.util.List-java.util.List-">applyParagraphStyles</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/model/textproperties/TextPropCollection.html"
                                        title="class in org.apache.poi.hslf.model.textproperties">TextPropCollection</a>&gt;&nbsp;paraStyles)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new shape from the data provided.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createShapeGroup-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createShapeGroup</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeFactory.html#createSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">createSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFHyperlink</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#find-java.util.List-">find</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>
                                <div class="block">Find hyperlinks in a text paragraph</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#fixLineEndings-java.util.List-">fixLineEndings</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>
                                <div class="block">Check and add linebreaks to text runs leading other paragraphs</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#getRawText-java.util.List-">getRawText</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#getText-java.util.List-">getText</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFHyperlink.html#linkToSlide-org.apache.poi.sl.usermodel.Slide-">linkToSlide</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                    title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;slide)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                    title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;notes)</code>
                                <div class="block">Sets the Notes that are associated with this.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextRun</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#setText-java.util.List-java.lang.String-">setText</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                java.lang.String&nbsp;text)</code>
                                <div class="block">Sets (overwrites) the current text.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#storeText-java.util.List-">storeText</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs)</code>
                                <div class="block">Saves the modified paragraphs/textrun to the records.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFTextParagraph.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html#supplySheet-java.util.List-org.apache.poi.hslf.usermodel.HSLFSheet-">supplySheet</a></span>(java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;paragraphs,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet)</code>
                                <div class="block">Supply the Sheet we belong to, which might have an assigned SlideShow
                                    Also passes it on to our child RichTextRuns
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html#HSLFTextRun-org.apache.poi.hslf.usermodel.HSLFTextParagraph-">HSLFTextRun</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&nbsp;parentParagraph)</code>
                                <div class="block">Create a new wrapper around a rich text string</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructor parameters in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html#HSLFAutoShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFAutoShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html#HSLFAutoShape-org.apache.poi.sl.usermodel.ShapeType-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFAutoShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeType.html"
                                    title="enum in org.apache.poi.sl.usermodel">ShapeType</a>&nbsp;type,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFBackground.html#HSLFBackground-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFBackground</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html#HSLFConnectorShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFConnectorShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a ConnectorShape object and initialize it from the supplied
                                    Record container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html#HSLFConnectorShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFConnectorShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new ConnectorShape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html#HSLFFreeformShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFFreeformShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Freeform object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html#HSLFFreeformShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFFreeformShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Freeform.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#HSLFGroupShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFGroupShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a ShapeGroup object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#HSLFGroupShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFGroupShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new ShapeGroup.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html#HSLFLine-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFLine</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html#HSLFLine-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFLine</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>OLEShape</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>OLEShape</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a <code>Picture</code> object</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html#HSLFPlaceholder-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html#HSLFPlaceholder-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#HSLFShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Shape object.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#HSLFSimpleShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFSimpleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a SimpleShape object and initialize it from the supplied
                                    Record container.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a Table object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-int-int-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(int&nbsp;numRows,
                                int&nbsp;numCols,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new Table of the given number of rows and columns</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html#HSLFTextBox-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextBox</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a TextBox object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html#HSLFTextBox-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextBox</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new TextBox.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#HSLFTextShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                    title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a TextBox object and initialize it from the supplied Record
                                    container.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html#HSLFTextShape-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTextShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new TextBox.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFTextParagraph.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
